com.snowflake.client.jdbc

## Class SnowflakeFileTransferAgent.S3Location

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeFileTransferAgent.S3Location

Enclosing class:
  SnowflakeFileTransferAgent

    public static class SnowflakeFileTransferAgent.S3Location
    extends Object

S3 locations consists of a bucket name and path

### Constructor Summary

Constructors
Constructor and Description
`S3Location(String s3BucketName, String s3path)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### S3Location

    public S3Location(String s3BucketName,
                      String s3path)